Loading...
Searching...
No Matches
registry.hh File Reference
`#include <cstddef>`
`#include <iostream>`
`#include <memory>`
`#include <string>`
`#include <utility>`
`#include "counter.hh"`
`#include <dune/common/typelist.hh>`
`#include <dune/common/hybridutilities.hh>`
`#include <dune/common/parameterizedobject.hh>`

Go to the source code of this file.

## Namespaces

namespace | Dune

## Macros

#define | DUNE_REGISTRY_PUT(Tag, id, ...)

## Macro Definition Documentation

## DUNE_REGISTRY_PUT

#define DUNE_REGISTRY_PUT | ( |  | Tag,
|  |  | id,
|  |  | ... )

Value:
namespace { \
template<> \
struct Registry<Tag, DUNE_GET_COUNTER(Tag)> \
{ \
static auto getCreator() \
{ \
return __VA_ARGS__; \
} \
static std::string name() { return id; } \
}; \
} \
DUNE_INC_COUNTER(Tag)
DUNE_GET_COUNTER
#define DUNE_GET_COUNTER(Tag)
Definition counter.hh:17